
Foreman - Bug #28946

Note for "GUI http proxy setting" At which levels does this setting take affect

02/06/2020 12:26 PM - Richard Stempfl

Status: Closed   

Priority: Normal   

Assignee: James Jeffers   

Category: Settings   

Target version:    

Difficulty: trivial Fixed in Releases: 2.1.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7477

  

Description

It is not clear to everyone how far this attitude goes.

It is therefore useful to place a note there.

Associated revisions

Revision 68c5fea3 - 03/09/2020 08:40 AM - Bernhard Suttner

Fixes #28946 - Describe HTTP proxy usage

History

#1 - 02/12/2020 06:42 PM - Jonathon Turel

- Assignee set to James Jeffers

#2 - 02/13/2020 02:07 PM - James Jeffers

Richard Stempfl wrote:

It is not clear to everyone how far this attitude goes.

 I am not sure I understand what you mean. Can you elaborate on your concern?

#3 - 02/14/2020 08:06 AM - Richard Stempfl

Hello,

If you set this setting, someone might think that it is effective for the entire system. (OS, YUM)

There is also a http_proxy setting in the settings and how do they differ.

#4 - 02/18/2020 08:42 AM - Bernhard Suttner

Currently, the HTTP Proxy option in Settings and the "Infrastructure -> HTTP Proxies" are only used for Foreman / Katello and other plugins.

Some users might think, that the HTTP Proxy is used for the entire system, like "yum", "wget" etc. Therefore, I guess it would make sense to have a

small note mentioning this to the users.

#5 - 02/19/2020 06:50 PM - Samir Jha

- Category changed from Web UI to Documentation

- Target version set to Katello 3.16.0

- Triaged changed from No to Yes

#6 - 02/27/2020 10:38 AM - Tomer Brisker

- Project changed from Katello to Foreman

- Category deleted (Documentation)
- Target version deleted (Katello 3.16.0)

#7 - 02/27/2020 10:40 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7477 added

#8 - 03/09/2020 08:40 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#9 - 03/09/2020 09:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 68c5fea3fc95e06c4bc9dda71f17123dbdafc526.

#10 - 05/14/2020 08:30 AM - Amit Upadhye

- Category set to Settings
